name: ceilometer
summary: OpenStack Telemetry
maintainer: OpenStack Charmers <openstack-charmers@lists.ubuntu.com>
description: |
 Ceilometer project aims to become the infrastructure to collect measurements
 within OpenStack so that no two agents would need to be written to collect
 the same data. It's primary targets are monitoring and metering, but the
 framework should be easily expandable to collect for other needs. To that
 effect, Ceilometer should be able to share collected data with a variety
 of consumers.
tags:
  - openstack
  - telemetry
  - misc
series:
  - xenial
  - bionic
  - cosmic
  - disco
  - trusty
extra-bindings:
  public:
  admin:
  internal:
provides:
  nrpe-external-master:
    interface: nrpe-external-master
    scope: container
  ceilometer-service:
    interface: ceilometer
requires:
  shared-db:
    interface: mongodb
  amqp:
    interface: rabbitmq
  amqp-listener:
    interface: rabbitmq
  identity-service:
    interface: keystone
  identity-notifications:
    interface: keystone-notifications
  identity-credentials:
    interface: keystone-credentials
  ha:
    interface: hacluster
    scope: container
  metric-service:
    interface: gnocchi
  event-service:
    interface: event-service
  certificates:
    interface: tls-certificates
peers:
  cluster:
    interface: ceilometer-ha
